

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific
   main-programmer: Patrick Boenzli
   co-programmer: 
*/


#include "test_entity.h"
#include "stdincl.h"
#include "model.h"
#include "md2Model.h"

using namespace std;



TestEntity::TestEntity () : WorldEntity()
{
 //This is for md2 test purposes only! if this is seen in the trunk: hit me :)
  MD2Loader* md2loader = new MD2Loader();
  this->model = new t3DModel;
  this->md2Model = new MD2Model();

  md2loader->importMD2(model, "../data/models/jack/tris.md2", "test.bmp");
}


TestEntity::~TestEntity () 
{}


void TestEntity::tick (float time) {}


void TestEntity::hit (WorldEntity* weapon, Vector* loc) {}


void TestEntity::destroy () {}


void TestEntity::collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags) {}


void TestEntity::draw () 
{
  glMatrixMode(GL_MODELVIEW);
  glPushMatrix();
  float matrix[4][4];
  
  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
   this->getAbsDir().matrix (matrix);
  glMultMatrixf((float*)matrix);
  
  //this->model->draw();
  /* TESTGING TESTING TESTING */
  this->md2Model->draw(this->model);

  glPopMatrix();
}

